RESTinio

Public Member Functions | List of all members
restinio::http_field_parsers::details::pct_encoded_symbols_consumer_t Struct Reference

A special consumer that inserts an extracted sequence of symbols into the result string. More...

`#include <pct_encoded_symbols.hpp>`

Inheritance diagram for restinio::http_field_parsers::details::pct_encoded_symbols_consumer_t:

## Public Member Functions
void | consume (std::string &to, pct_encoded_result_type_t &&from) const

## Additional Inherited Members
Static Public Attributes inherited from restinio::easy_parser::impl::consumer_tag
static constexpr entity_type_t | entity_type = entity_type_t::consumer

## Detailed Description

A special consumer that inserts an extracted sequence of symbols into the result string.

Note
  Moved into restinio::http_field_parsers::details namespace in v.0.6.9.

Since
  v.0.6.1

Definition at line 78 of file pct_encoded_symbols.hpp.

## Member Function Documentation

## ◆ consume()

void restinio::http_field_parsers::details::pct_encoded_symbols_consumer_t::consume | ( | std::string & | to,
|  | pct_encoded_result_type_t && | from
| ) |  | const
| inline

Definition at line 82 of file pct_encoded_symbols.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/details/pct_encoded_symbols.hpp